import { Availability } from '@dvn/takvim/api/models';
import { kimlikUsers } from './kimlik-users';
import { takvimCalendarConfigs } from './takvim-calendar-configs';
export const takvimAvailabilities = (config) => ({
  // single day
  takvimAvailabilities1: Availability.decode({
    _id: 'takvimAvailabilities1',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-05-21T10:00:00Z',
    endDate: '2021-05-21T12:00:00Z',
    meetingDuration: 60,
    breakDuration: 15,
    recurrence: 'once',
  }),
  // single day
  takvimAvailabilities12: Availability.decode({
    _id: 'takvimAvailabilities1',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-05-02T07:00:00Z',
    endDate: '2021-05-02T20:00:00Z',
    meetingDuration: 90,
    recurrence: 'once',
  }),
  // recurring on tuesdays
  // takvimAvailabilities2: Availability.decode({
  //   _id: 'takvimAvailabilities2',
  //   _created: new Date(),
  //   _updated: new Date(),
  //   config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
  //   user: kimlikUsers(config).kimlikUsers3.toObject(),
  //   startDate:'2021-04-01T10:00:00Z',
  //   endDate:'2021-04-01T18:00:00Z',
  //   meetingDuration: 60,
  //   recurrence: 'weekly',
  // }),
  // recurring on wednesdays
  takvimAvailabilities3: Availability.decode({
    _id: 'takvimAvailabilities3',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-04-02T10:00:00Z',
    endDate: '2021-04-02T12:00:00Z',
    meetingDuration: 30,
    recurrence: 'weekly',
  }),
  // recurring on wednesdays
  takvimAvailabilities4: Availability.decode({
    _id: 'takvimAvailabilities4',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-04-02T14:00:00Z',
    endDate: '2021-04-02T18:00:00Z',
    meetingDuration: 60,
    recurrence: 'weekly',
  }),
});
